ZITADEL Docs
APIsCore ResourcesV2Instance

Add Custom Domain

Adds a Custom Domain to the instance. The Custom Domain must be unique across all instances. Once the domain is added, it will be used to route requests to this instance. This method requires system level permissions and cannot be called from an instance context.

Required permissions:

  • system.domain.write
POST
/zitadel.instance.v2.InstanceService/AddCustomDomain

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.instance.v2.InstanceService/AddCustomDomain" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "instanceId": "string",    "customDomain": "string"  }'
{
  "creationDate": "2023-01-15T01:30:15.01Z"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?